libsidplayfp::SidBank Class Referencefinal

`#include <SidBank.h>`

Inheritance diagram for libsidplayfp::SidBank:

## Public Member Functions

void | reset ()
uint8_t | peek (uint_least16_t addr) override
void | poke (uint_least16_t addr, uint8_t data) override
void | setSID (c64sid *s)

## Detailed Description

SID

Located at $D400-$D7FF, mirrored each 32 bytes

## Member Function Documentation

## peek()

uint8_t libsidplayfp::SidBank::peek | ( | uint_least16_t | address | ) |

inline override virtual

Bank read. You probably should override this method, except if the Bank is only used in write context.

Parameters

  address | value to read from

Returns
  value at address

Implements libsidplayfp::Bank.

## poke()

void libsidplayfp::SidBank::poke | ( | uint_least16_t | address,
|  | uint8_t | value
| ) |  |

inline override virtual

Bank write.

Override this method if you expect write operations on your bank. Leave unimplemented if it's logically/operationally impossible for writes to ever arrive to bank.

Parameters

  address | address to write to
  value | value to write

Implements libsidplayfp::Bank.

## setSID()

void libsidplayfp::SidBank::setSID | ( | c64sid * | s | ) |

inline

Set SID emulation.

Parameters

  s | the emulation, nullptr to remove current sid

The documentation for this class was generated from the following file:

- SidBank.h